mempool_alloc
Prev | More Memory Management Functions | Next

## Name

mempool_alloc — allocate an element from a specific memory pool

## Synopsis

`void * mempool_alloc (` | mempool_t * | pool,
| gfp_t | gfp_mask`)`;

## Arguments

`pool`

  pointer to the memory pool which was allocated via `mempool_create`.

`gfp_mask`

  the usual allocation bitmask.

## Description

this function only sleeps if the `alloc_fn` function sleeps or returns NULL. Note that due to preallocation, this function *never* fails when called from process contexts. (it might fail if called from an IRQ context.)

Prev | Up | Next
mempool_destroy | Home | mempool_free